%global gem_name nokogumbo

Name: rubygem-%{gem_name}
Version: 2.0.5
Release: 1%{?dist}.99
Summary: Nokogiri interface to the Gumbo HTML5 parser
License: Apache-2.0
URL: https://github.com/rubys/nokogumbo/#readme
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby-devel >= 2.1
BuildRequires: (rubygem(nokogiri) >= 1.8.4 with rubygem(nokogiri) < 2)
# Compiler is required for build of gem binary extension.
# https://fedoraproject.org/wiki/Packaging:C_and_C++#BuildRequires_and_Requires
BuildRequires: gcc

%description
Nokogumbo allows a Ruby program to invoke the Gumbo HTML5 parser and access
the result as a Nokogiri parsed document.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}/%{gem_name}
cp -a .%{gem_extdir_mri}/gem.build_complete %{buildroot}%{gem_extdir_mri}/
cp -a .%{gem_extdir_mri}/%{gem_name}/*.so %{buildroot}%{gem_extdir_mri}/%{gem_name}/

# Prevent dangling symlink in -debuginfo (rhbz#878863).
rm -rf %{buildroot}%{gem_instdir}/ext/


# Run the test suite
%check
pushd .%{gem_instdir}

popd

%files
%dir %{gem_instdir}
%{gem_extdir_mri}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/gumbo-parser
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Fri Nov  5 2021 Oleg Girko <ol@infoserver.lv> - 2.0.5-1
- Update to 2.0.5
* Sun May  2 2021 Oleg Girko <ol@infoserver.lv> - 2.0.1-1
- Update to 2.0.1
* Thu Jul 13 2017 Oleg Girko <ol@infoserver.lv> - 1.4.9-1
- Update to 1.4.9
* Tue Oct 20 2015 Oleg Girko <ol@infoserver.lv> - 1.4.1-1
- Initial package
